#
# spec file for package perl-Text-Table
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-Table
Version:        1.130
Release:        5.1
%define cpan_name Text-Table
Summary:        Organize Data in Tables
License:        ISC
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-Table/
Source:         http://www.cpan.org/authors/id/S/SH/SHLOMIF/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.36
BuildRequires:  perl(Text::Aligner) >= 0.05
Requires:       perl(Text::Aligner) >= 0.05
%{perl_requires}
# MANUAL License

%description
Organization of data in table form is a time-honored and useful method of
data representation. While columns of data are trivially generated by
computer through formatted output, even simple tasks like keeping titles
aligned with the data columns are not trivial, and the one-shot solutions
one comes up with tend to be particularly hard to maintain. Text::Table
allows you to create and maintain tables that adapt to alignment
requirements as you use them.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Mon Feb  9 2015 coolo@suse.com
- updated to 1.130
  - Minimum perl version in 'requires' this time in META.yml (CPANTS).
  - Change the META.yml license indicator to 'mit' - it is the ISC
    license, which is MIT in effect. (CPANTS).
* Tue Mar  4 2014 tchvatal@suse.com
- Version bump to 1.129:
  * Add minimum perl version to META.yml (CPANTS).
  * Typo fixes thanks to David Steinbrunner.
  * Add t/style-trailing-space.t.
  * Remove trailing space.
  * Fix handling of regular expression aligners.
  * Add examples/Text-Table-UTF8-example.pl
* Tue Mar  4 2014 tchvatal@suse.com
- Format with spec-cleaner and add required header license.
- Fix license string.
* Fri Sep  2 2011 pascal.bleser@opensuse.org
- update to 1.124:
  * fix handling whitespace in column separators when the callback-based rule
    is invoked
* Sat Jun  4 2011 pascal.bleser@opensuse.org
- update to 1.122:
  * fix RT#68631 - passing hashrefs as separators
  * many refactorings
* Thu May 26 2011 pascal.bleser@opensuse.org
- update to 1.121: no user-visible changes
* Tue May 17 2011 pascal.bleser@opensuse.org
- update to 1.120
  * add the callback ("sub { ... }")-based ->rule() method to render each
    section in a rule differently
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Aug 30 2010 pascal.bleser@opensuse.org
- initial package (1.116)
